# $Revision: 1.26 $, $Date: 2009/07/03 06:09:35 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	X Athena Widgets library
Summary(pl.UTF-8):	Biblioteka X Athena Widgets
Name:		xorg-lib-libXaw
Version:	1.0.6
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXaw-%{version}.tar.bz2
# Source0-md5:	066218dceb82eb8da0e11d259ed3ceda
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	ed
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
Obsoletes:	libXaw
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Athena Widgets library.

%description -l pl.UTF-8
Biblioteka X Athena Widgets.

%package devel
Summary:	Header files for libXaw library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXaw
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXmu-devel
Requires:	xorg-lib-libXp-devel
Requires:	xorg-lib-libXpm-devel
Obsoletes:	libXaw-devel

%description devel
X Athena Widgets library.

This package contains the header files needed to develop programs that
use libXaw.

%description devel -l pl.UTF-8
Biblioteka X Athena Widgets.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXaw.

%package static
Summary:	Static libXaw library
Summary(pl.UTF-8):	Biblioteka statyczna libXaw
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXaw-static

%description static
X Athena Widgets library.

This package contains the static libXaw library.

%description static -l pl.UTF-8
Biblioteka X Athena Widgets.

Pakiet zawiera statyczną bibliotekę libXaw.

%prep
%setup -q -n libXaw-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	aclocaldir=%{_aclocaldir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXaw[67].so.[67]
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXaw6.so.6.*.*
%attr(755,root,root) %ghost %{_libdir}/libXaw.so.6
%attr(755,root,root) %{_libdir}/libXaw7.so.7.*.*
%attr(755,root,root) %ghost %{_libdir}/libXaw.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXaw6.so
%attr(755,root,root) %{_libdir}/libXaw7.so
%attr(755,root,root) %{_libdir}/libXaw.so
%{_libdir}/libXaw6.la
%{_libdir}/libXaw7.la
%dir %{_includedir}/X11/Xaw
%{_includedir}/X11/Xaw/*.h
%{_includedir}/X11/Xaw/Template.c
%{_pkgconfigdir}/xaw6.pc
%{_pkgconfigdir}/xaw7.pc
%{_mandir}/man3/Xaw.3x*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libXaw6.a
%{_libdir}/libXaw7.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXaw.spec,v $
Revision 1.26  2009/07/03 06:09:35  arekm
- up to 1.0.6

Revision 1.25  2008/11/17 20:45:04  qboosh
- ghost soname symlinks (but make them direct first)

Revision 1.24  2008/11/07 20:29:41  arekm
- up to 1.0.5

Revision 1.23  2008/11/07 10:46:28  arekm
- rel 3; move hack from configure.ac to the spec so it will work with new libtool.

Revision 1.22  2008/11/05 23:29:21  arekm
- release 2

Revision 1.21  2007/08/22 06:18:42  arekm
- up to 1.0.4

Revision 1.20  2007/07/23 17:19:33  witekfl
- added bcond_without static_libs

Revision 1.19  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.17  2007/01/04 11:35:05  arekm
- up to 1.0.3

Revision 1.16  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.15  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.14  2006/04/27 06:46:30  arekm
- up to 1.0.2

Revision 1.13  2006/03/08 21:59:56  qboosh
- release 1

Revision 1.12  2005/12/28 10:32:53  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.11  2005/12/20 12:11:33  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 10:44:49  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 18:29:28  qboosh
- 0.99.2 (X11R7.0-RC2)
- BR: ed to get proper sonames

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 21:55:11  qboosh
- 0.99.1 (X11R7.0-RC1)
- more verbose files, own /usr/include/X11/Xaw dir

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.19  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

* Fri Aug 12 2005 23:12:06  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- removed redundant BR: libX11-devel, libXt-devel, xproto-devel
- removed redundant R: libX11-devel, libXt-devel from devel
- release 0.03

* Thu Aug 11 2005 14:34:11  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix} and %%{_mandir}
- added %%doc
- release 0.02

* Fri Aug  5 2005 01:03:43  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
